Package net.sf.saxon.regex

## Class REFlags

- java.lang.Object
- - net.sf.saxon.regex.REFlags

-     public class REFlags
      extends java.lang.Object

  Class representing a set of regular expression flags (some combination of i, m, s, x, q). Also contains options affecting the regular expression dialect: whether or not XPath 2.0 and XPath 3.0 extensions to XSD regex syntax are accepted.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `REFlags​(java.lang.String flags, java.lang.String language)` | Create the regular expression flags

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isAllowsXPath20Extensions()` |
    `boolean` | `isAllowsXPath30Extensions()` |
    `boolean` | `isAllowsXSD11Syntax()` |
    `boolean` | `isAllowUnknownBlockNames()` |
    `boolean` | `isAllowWhitespace()` |
    `boolean` | `isCaseIndependent()` |
    `boolean` | `isDebug()` |
    `boolean` | `isLiteral()` |
    `boolean` | `isMultiLine()` |
    `boolean` | `isSingleLine()` |
    `void` | `setAllowUnknownBlockNames​(boolean allow)` |
    `void` | `setDebug​(boolean debug)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### REFlags

          public REFlags​(java.lang.String flags,
                         java.lang.String language)

      Create the regular expression flags
      Parameters:
        `flags` - a string containing zero or more of 'i', 'x', 'm', 's'
        `language` - one of "XSD10", "XSD11", "XP20", or "XP30" indicating the regular expression dialect. Also allow combinations, e.g. "XP20/XSD11".

  - ### Method Detail

    - #### isCaseIndependent

          public boolean isCaseIndependent()

    - #### isMultiLine

          public boolean isMultiLine()

    - #### isSingleLine

          public boolean isSingleLine()

    - #### isAllowWhitespace

          public boolean isAllowWhitespace()

    - #### isLiteral

          public boolean isLiteral()

    - #### isAllowsXPath20Extensions

          public boolean isAllowsXPath20Extensions()

    - #### isAllowsXPath30Extensions

          public boolean isAllowsXPath30Extensions()

    - #### isAllowsXSD11Syntax

          public boolean isAllowsXSD11Syntax()

    - #### setDebug

          public void setDebug​(boolean debug)

    - #### isDebug

          public boolean isDebug()

    - #### setAllowUnknownBlockNames

          public void setAllowUnknownBlockNames​(boolean allow)

    - #### isAllowUnknownBlockNames

          public boolean isAllowUnknownBlockNames()